import { AttachmentRequest, CustServiceConversationMessages } from '@spiffy-ai/commerce-api-client';
import { atom } from 'jotai';
import { ChatState } from 'src/types/custservice-types';

export const isBusinessHoursAtom = atom<boolean>(true);
export const isCustomerServiceOpenAtom = atom<boolean>(false);
export const customerServiceResponseAtom = atom<CustServiceConversationMessages>();
export const customerServiceChatStateAtom = atom<ChatState>();
export const customerServiceAttachment = atom<AttachmentRequest | undefined>();
